# PostCSS Foundation for Sites

A partial re-implementation of CSS from [Foundation for Sites](https://get.foundation/) built on PostCSS with `postcss-mixin` instead of SASS.

## Overview

- Static components: included
- Components with JS functionality: not included
- Forms: included
- Typography: included
- Flexbox: Always on, no longer optional
- Utils and mixins: partially included when possible
- Grid: not included (use native CSS grid instead)
- XY-Grid: limited mixins included for backwards compatibility

## Requirements

- NodeJS or equivalent
- [PostCSS](https://postcss.org/)
- [PostCSS-Mixins](https://github.com/postcss/postcss-mixins)

## Installation

`npm install pcss-foundation`
OR
`yarn add pcss-foundation`
